[arch-commits] Commit in drumstick/trunk (PKGBUILD)

David Runge dvzrv at archlinux.org
Mon Sep 2 15:54:17 UTC 2019


    Date: Monday, September 2, 2019 @ 15:54:17
  Author: dvzrv
Revision: 507044

upgpkg: drumstick 1.1.3-2

Adding fluidsynth back (to makedepends and optdepends). Demoting libpulse to makedepends/optdepends. Adding alsa-lib to depends. Fixing fluidsynth detection in cmake in prepare().
Removing deprecated LIB_SUFFIX from cmake call. Updating procvides with the proper shared library names provided by drumstick.

Modified:
  drumstick/trunk/PKGBUILD

----------+
 PKGBUILD |   25 ++++++++++++++++---------
 1 file changed, 16 insertions(+), 9 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2019-09-02 15:54:09 UTC (rev 507043)
+++ PKGBUILD	2019-09-02 15:54:17 UTC (rev 507044)
@@ -4,25 +4,32 @@
 
 pkgname=drumstick
 pkgver=1.1.3
-pkgrel=1
+pkgrel=2
 pkgdesc="MIDI libraries for Qt5/C++"
 arch=('x86_64')
 url="http://drumstick.sourceforge.net/"
 license=('GPL2')
-depends=('desktop-file-utils' 'hicolor-icon-theme' 'libpulse' 'qt5-svg')
-makedepends=('cmake' 'doxygen' 'docbook-xsl')
-provides=('libdrumstick-rt-alsa-in.so' 'libdrumstick-rt-alsa-out.so'
-'libdrumstick-rt-easysynth.so' 'libdrumstick-rt-net-in.so'
-'libdrumstick-rt-net-out.so' 'libdrumstick-rt-oss-in.so'
-'libdrumstick-rt-oss-out.so')
+depends=('desktop-file-utils' 'hicolor-icon-theme' 'alsa-lib' 'qt5-base'
+'qt5-svg')
+makedepends=('cmake' 'doxygen' 'docbook-xsl' 'libpulse' 'fluidsynth')
+optdepends=('fluidsynth: for fluidsynth integration'
+            'libpulse: for PulseAudio integration')
+provides=('libdrumstick-alsa.so' 'libdrumstick-file.so' 'libdrumstick-rt.so')
 source=("https://downloads.sourceforge.net/${pkgname}/${pkgver}/${pkgname}-${pkgver}.tar.bz2")
 sha512sums=('8831578a6422cbf6570fd0ff36836f808d452cd7cc338de82cc852d804c5ef404d97dfd73760b13f16fe33007b35a5fc4591f2c4d719a4cf2b6a34fa6ca81a8b')
 
+prepare() {
+  cd "${pkgname}-${pkgver}"
+  # removing specific check for fluidsynth == 1.1.11, as fluidsynth > 2.0.0
+  # compiles just fine
+  sed -E 's|(pkg_check_modules\(FLUIDSYNTH ).+|\1fluidsynth\)|g' \
+      -i library/rt-backends/CMakeLists.txt
+}
+
 build() {
   cd "${pkgname}-${pkgver}"
   cmake -DCMAKE_INSTALL_PREFIX=/usr \
-        -DCMAKE_BUILD_TYPE=Release \
-        -DLIB_SUFFIX=
+        -DCMAKE_BUILD_TYPE=Release
   make
 }
 


More information about the arch-commits mailing list